Create a new notification provider
curl --request POST \
--url https://api.justanotheruptime.com/notification-providers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"config": {},
"isEnabled": true,
"quietHoursStart": "<string>",
"quietHoursEnd": "<string>",
"projectId": "<string>"
}
'import requests
url = "https://api.justanotheruptime.com/notification-providers"
payload = {
"name": "<string>",
"config": {},
"isEnabled": True,
"quietHoursStart": "<string>",
"quietHoursEnd": "<string>",
"projectId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
config: {},
isEnabled: true,
quietHoursStart: '<string>',
quietHoursEnd: '<string>',
projectId: '<string>'
})
};
fetch('https://api.justanotheruptime.com/notification-providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Notification Providers
Create a new notification provider
POST
/
notification-providers
Create a new notification provider
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The type of notification provider
Available options:
email, sms, slack, webhook, discord, teams, telegram, whatsapp, pagerduty The name of the notification provider
The configuration for the notification provider
Whether the notification provider is enabled
Start time for quiet hours (HH:MM format)
Pattern:
^([0-1]?[0-9]|2[0-3]):[0-5][0-9]$End time for quiet hours (HH:MM format)
Pattern:
^([0-1]?[0-9]|2[0-3]):[0-5][0-9]$The ID of the project this notification provider belongs to
Response
The notification provider has been successfully created.
The response is of type object.
⌘I